// 20/6/10
// header file for epson LQ compatible graphics cheque converter.

#define maxint(a,b) ({int _a = (a), _b = (b); _a > _b ? _a : _b; })
#define minint(a,b) ({int _a = (a), _b = (b); _a < _b ? _a : _b; })

#define NUM_PARAMETERS  68

struct sat{				// storage allocation table
	unsigned char num[250];		// changed 4.04 was uchar
	long start[250];
	long len[250];
};

#define UNILEN 	 3
#define CPILEN 	 4
#define	QUALLEN	 9

//char inchar(void);
void do_v_move(int v);
void line_fill(void);
void prn_str(char *s);
int set_checksum(int n);
void set_tof(void);
void write_char(char c);
void write_str(char *buf, int len);

