/***************************************************************
** cnv5_io.h 3/5/2011
**
***************************************************************/
#define SET_LED1 IOSET1=B8
#define CLR_LED1 IOCLR1=B8
#define SET_LED2 IOSET1=B9
#define CLR_LED2 IOCLR1=B9

#define SET_ALE IOSET1=B0
#define CLR_ALE IOCLR1=B0
#define SET_LCD_EN IOSET1=B4
#define CLR_LCD_EN IOCLR1=B4

#define SET_WR FIO4SET=B24
#define CLR_WR FIO4CLR=B24
#define SET_RD FIO4SET=B25
#define CLR_RD FIO4CLR=B25

#define SET_D_IN FIO3DIR = 0x00
#define SET_D_OUT FIO3DIR = 0xff

#define CLR_KC1 IOCLR1=B28
#define CLR_KC2 IOCLR1=B29
#define CLR_KC3 IOCLR0=B10
#define CLR_KC4 IOCLR0=B11
#define SET_KC1 IOSET1=B28
#define SET_KC2 IOSET1=B29
#define SET_KC3 IOSET0=B10
#define SET_KC4 IOSET0=B11

// read adr 2
#define CIO_SELECT	0x01
#define CIO_BUSY 	0x02
#define CIO_ERR		0x04
#define CIO_PE		0X08
#define CIO_ACK		0X10

// read adr 1
#define CII_SELIN	0X01
#define CII_ALF		0X02
#define CII_INIT	0x04
#define CII_what	0X08
#define CII_DATAIN	0X10

// write adr 1
#define CO_nPRNINIT	0x01
#define CO_nPCSEL	0x02
#define CO_nPRNALF	0x04

char getc_u0(void);
char hasc_u0(void);
void putc_u0(char c);
void puts_u0(char *s);

char getc_u1(void);
char hasc_u1(void);
void putc_u1(char c);
void puts_u1(char *s);

char getc_u2(void);
char hasc_u2(void);
void putc_u2(char c);
void puts_u2(char *s);

unsigned char rd_data(void);
void wr_adr(unsigned char c);
void wr_data(unsigned char c);
void reset_fpga(void);

void decprn(int c);
void hexprn(int c);
void delay_uS(int t);
char get_key12(void);
char get_id(void);

int hasc_ppin(void);
unsigned char pp_in(void);
unsigned char inchar(void);
void pp_out(unsigned char c);
void outchar(unsigned char c);
void set_pp_status(void);

#define SET_RTS2 FIO2SET=B7
#define CLR_RTS2 FIO2CLR=B7
#define CTS2 (FIO2PIN & (1<<6))

#define SET_TOUT IOSET1=B27
#define CLR_TOUT IOCLR1=B27
#define TIN  (FIO4PIN & (1<<2))

#define	USBRAM   0x7FD00000
#define ETHRAM   0x7FE00000

#define TIMER0_SEC 14
#define TIMER2_SEC 1000
